/*  motionptz
 *  
 *  Version 0.1
 *  
 *  Control PTZ-2N Camera
 *  
 *  Copyright 2005, Kenneth Lavrsen
 *  This program is published under the GNU General Public license
 */

#include "linux_ptz.h"


/********************************************************************
 * print_usage prints a short user guide
 *
 * Input:   none
 * 
 * Output:  prints to stdout
 * 
 * Returns: exits program
 *
 ********************************************************************/
void print_usage(void)
{
	printf("\n");
	printf("motionptz\n");
	printf("Version %s (C)2005 Kenneth Lavrsen.\n", VERSION);
	printf("This program is released under the GNU General Public License (GPL)\n\n");
	printf("Usage:\n");
	printf("To be defined\n");
	exit(0);
}




 
/********** MAIN PROGRAM ************************************************
 *
 * I wish I had written something here
 *
 ***********************************************************************/
int main(int argc, char *argv[])
{
	CAMERA ptz2;

	// Setup serial port

	ptz2 = open_device(CAMERA_SERIAL_DEVICE);
	
	// Get in-data and select mode.

	if (argc<2)
	{
		print_usage();
		close_device(ptz2);
		exit(0);
	}			

	if (!strcmp( argv[1],"I")) //init
	{
		init_camera(ptz2);
	}
	else if (!strcmp( argv[1],"r")) //turn right
	{
		char sendbuffer[] = "\x02" "ckr0kpr050" "\x04";
		write(ptz2, sendbuffer, strlen(sendbuffer));
	}
	else if (!strcmp( argv[1],"l")) //turn left 
	{
		char sendbuffer[] = "\x02" "ckr0kpl050" "\x04";
		write(ptz2, sendbuffer, strlen(sendbuffer));
	}
	else if (!strcmp( argv[1],"u")) //tilt up 
	{
		char sendbuffer[] = "\x02" "ckr0ktu050" "\x04";
		write(ptz2, sendbuffer, strlen(sendbuffer));
	}
	else if (!strcmp( argv[1],"d")) //tilt down 
	{
		char sendbuffer[] = "\x02" "ckr0ktd050" "\x04";
		write(ptz2, sendbuffer, strlen(sendbuffer));
	}
	else if (!strcmp( argv[1],"i")) //zoom in 
	{
		char sendbuffer[] = "\x02" "ckr0kzi050" "\x04";
		write(ptz2, sendbuffer, strlen(sendbuffer));
	}
	else if (!strcmp( argv[1],"o")) //zoom out 
	{
		char sendbuffer[] = "\x02" "ckr0kzo050" "\x04";
		write(ptz2, sendbuffer, strlen(sendbuffer));
	}
	else
	{
		print_usage();
	}
	




	// Goodbye and Goodnight
	close_device(ptz2);

	exit(0);
}
